Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/10874/?format=api
{ "ob_id": 10874, "uuid": "3fe8082c812d88e0014d94c3a2d0a087", "title": "Level 2 vector formatted data from the CEH Land Cover Map 2000 for Monks Wood, Cambridgeshire, UK, in support of the Network for Calibration and Validation of EO (NCAVEO) campaign.", "abstract": "This dataset contains level 2 vector formatted data derived from the Centre of Ecology and Hydrology's (CEH) Land Cover Map 2000 (LCM2000) data for the Monks Wood, Cambridgeshire, UK, NCAVEO calibration/validation (cal/val) test site. The NERC funded Network for Calibration and Validation of EO (NCAVEO) campaign was designed to illustrate and explain the processes involved in cal/val of earth observation data.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2007-10-19T15:24:23", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/10875/?format=api", "dataPath": "/neodc/ncaveo_lcm2000/data/vector/lcmmonkswood/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1298215, "numberOfFiles": 6, "fileFormat": "<div property=\"cedacat:formats\">\r\n<div class=\"formats\">Data Availability</div>\r\n<p>Datasets for NCAVEO's UK test sites available through NEODC include:</p>\r\n<ul class=\"style1\">\r\n<li>Centre for Ecology and Hydrology (CEH) Land Cover Map 2000 (LCM2000) Data, <a href=\"http://neodc.nerc.ac.uk/browse/neodc/ncaveo_lcm2000/data/raster/\">25 m derived raster format</a> \r\n</li><li>CEH LCM2000 Data, <a href=\"http://neodc.nerc.ac.uk/browse/neodc/ncaveo_lcm2000/data/vector/\">Level 2 vector format</a> </li></ul>\r\n<p class=\"style1\">If you have further relevant datasets to contribute to this project, please contact <a href=\"mailto:neodc@rl.ac.uk\">NEODC</a>.</p>\r\n\r\n\r\n</div>\r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3017/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/531/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to the NERC Earth Observation Data Centre (NEODC)by the NERC Centre for Ecology and Hydrology (CEH). They are a subset of the Land Cover Map 2000 dataset.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/7235/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/10852/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39118/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39123/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39117/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39120/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39121/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39122/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39124/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39119/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/10876/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2583/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ncaveo_lcm2000", "label": "restricted: ncaveo_lcm2000 group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ncaveo_lcm2000.pdf", "licenceClassifications": "academic, specific" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }